<div class="page-col-link-list use-highlights">
  {{#if (or @value.data.title.text @isEditor)}}
    <TextWithOptions @deviceSize={{@deviceSize}} @options={{@value.data.title}} @tag="h" @isEditor={{@isEditor}}
      class="link-list-title" data-path="{{@path}}.data.title" data-text-value="true" data-type="title" data-name={{@value.name}} data-gid={{@value.gid}}
      >{{!
    }}{{@value.data.title.text}}{{!
}}</TextWithOptions>
  {{/if}}

  <Container @value={{@value.data.linkListContainer}} @deviceSize={{@deviceSize}} class="link-list-container"
    data-name={{@value.name}} data-path="{{@path}}.data.linkListContainer" data-gid={{@value.gid}}>
    <View::GenericList data-gid={{@value.gid}} data-path="{{@path}}.data.linkList" data-name={{@value.name}}
      @isEditor={{@isEditor}} @value={{@value.data.linkList}} as |item index|>
      <div data-path="{{@path}}.data.linkList.{{index}}" data-type="link" data-name={{@value.name}}
        data-gid={{@value.gid}} data-editor="link-named">
        <TextWithOptions @options={{@value.data.link}} @space={{@space}} @newTab={{item.newTab}} @to={{item.link}}
          @tag="a" @isEditor={{@isEditor}} data-path="{{@path}}.data.link" data-type="link style"
          data-name={{@value.name}} data-gid={{@value.gid}}>{{!
          }}{{item.name}}{{!
      }}</TextWithOptions>
      </div>
    </View::GenericList>
  </Container>
</div>